Subject: Re: bug#12730: coreutils-8.20: FAIL: tests/du/bind-mount-dir-cycle.sh

From: [email-masked]
Date: Thu, 25 Oct 2012 18:14:05 +0200 (CEST)

----- Mail original -----
> De: "Jim Meyering" <[email-masked]>
> À: "g esp" <[email-masked]>
> Cc: [email-masked]
> Envoyé: Jeudi 25 Octobre 2012 14:19:12
> Objet: Re: bug#12730: coreutils-8.20: FAIL: tests/du/bind-mount-dir-cycle.sh
> 
...
> 
> Thanks for the patch, but at least for now, it seems to me like
> that test is failing because your chroot is improperly configured.
> I.e., when your system configuration makes it impossible to obtain
> a list of mount points using a relatively standard API, a failing
> test serves as a heads up.
> 

I fixed anything unusual in my setup and run the last long-term kernel, so the chroot is now almost very clean.

The line in /etc/mtab that let hash.c take a different code path is 
rootfs / rootfs rw 0 0

I have no issue removing that line in my chroot.

Is that rootfs line forbidden now?

Gilles